import com.burtbeckwith.springone2gx.Requestmap
import com.burtbeckwith.springone2gx.Role
import com.burtbeckwith.springone2gx.User

class BootStrap {

	def passwordEncoder

	def init = { servletContext ->

		def adminRole = new Role(description: 'Admin', authority: 'ROLE_ADMIN').save()
		String password = passwordEncoder.encodePassword('p4ssw0rd', null)
		def user = new User(username: 'admin', userRealName: 'me', passwd: password,
				enabled: true, email: 'admin@admin.com').save()
		adminRole.addToPeople user

		new Requestmap(url: '/secure/**', configAttribute: 'ROLE_ADMIN').save(flush: true)
	}

	def destroy = {}
} 